For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETList IMSIs
        • GETGet IMSI
        • PATCHUpdate IMSI status
        • GETGet IMSI status
        • GETList IMSI events
LogoLogo
Request featuresContact support
API ReferenceImsi

Get IMSI

GET
https://cdn.emnify.net/api/v1/imsi/:imsi_id
GET
/api/v1/imsi/:imsi_id
$curl https://cdn.emnify.net/api/v1/imsi/imsi_id \
> -H "Authorization: Bearer <token>"
200IMSI_ImsiByIdGet_example
1{
2 "id": 17,
3 "imsi": "112201234567008",
4 "import_date": "2019-03-25T13:12:39.000Z",
5 "status": {
6 "id": 0,
7 "description": "Enabled"
8 },
9 "imsi_pool": {
10 "id": 7,
11 "description": "MNO 1 Pool",
12 "network_coverage_id": 2,
13 "resource_provider": {
14 "id": 3,
15 "status_id": 0,
16 "organisation_id": 4,
17 "organisation_name": "MNO 1"
18 }
19 },
20 "type": {
21 "id": 0,
22 "description": "Root IMSI"
23 },
24 "sim": {
25 "id": 20,
26 "iccid": "6660000000000000005",
27 "production_date": null,
28 "status_id": 0,
29 "sim_model_id": 3,
30 "customer_org": {
31 "id": 11,
32 "name": "Reseller 3 C5",
33 "type_id": 3,
34 "country_id": 14,
35 "status_id": 0,
36 "ext_reference": null
37 },
38 "issuer_org": {
39 "id": 5,
40 "name": "Service Provider 1",
41 "type_id": 2,
42 "country_id": 205,
43 "status_id": 0,
44 "ext_reference": null
45 }
46 }
47}
Retrieve IMSI details for a given ID.
Was this page helpful?
Previous

List IMSIs

Next

Update IMSI status

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

imsi_idstringRequired

Response

Success
idinteger
imsistring
import_datestring
statusobject
imsi_poolobject
typeobject
simobject